import { Server } from "socket.io";
import {TSocket} from "../../utilities/Types";
import {writeFile} from "node:fs";
import {randomUUID} from "node:crypto";


interface IPayload {
}

/**
 * Handle game master upload tile event
 * @param socket
 * @param io
 */
export default function (socket: TSocket, io: Server) {
    socket.on('gm:tile:upload', async (data: any) => {

        // get root path
        const root_folder = process.cwd();
        const public_folder = `${root_folder}/public`;

        for (const key in data) {
            const filename = randomUUID();
            const path = `${public_folder}/tiles/${filename}.png`;
            const tile = data[key];

            // save the tile to the disk, for example
            writeFile(path, tile, (err) => {
                // pajeet INC
            });
        }
    });
}